using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace CarManagerV3.Forms
{
    public partial class Welcome : Form
    {

        // callback functions
        // Open file
        public Action OpenFileCallback;

        public Action NewFileCallback;


        public Welcome()
        {
            InitializeComponent();
        }

        private void Welcome_Load(object sender, EventArgs e)
        {

        }

        private void btnOpenFile_Click(object sender, EventArgs e)
        {
            this.OpenFileCallback();
        }

        private void btnExit_Click(object sender, EventArgs e)
        {
            Environment.Exit(0);
        }

        private void btnNewFile_Click(object sender, EventArgs e)
        {
            this.NewFileCallback();
        }
    }
}
